> For the complete documentation index, see [llms.txt](https://developer.ultimo.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ultimo.net/azure-documentation/migration-to-azure/import-alternatives.md).

# Import alternatives

## 1. Alternative for importing data from a network share using an import connector

If data is imported from a network share, the alternative is to send the data to the existing import connector directly through a webservice call. You can either use your own middleware tooling to send data to the Ultimo import connector or use a cUrl command.

Actions:

* Create a (powershell) script to send data to the import connector.
* Execute the script immediately each time a file is added to the network share or add a scheduled task to run this script periodically, according to the current schedule on the import connector.

Note: make sure the IT infrastructure allows connection to the Ultimo webservices.

cUrl example:

```
curl --data-binary @[FileName] -H "Content-type: text/xml;charset=utf-8" "[Import connector Url]"
curl --data-binary @C:\temp\importdata.csv -H "Content-type: text/xml;charset=utf-8" "https://customer.ultimo.net/Webservices/Connector.ashx?username=US0000003&password=xxx&action=import&importName=_CSVIMPORT"
```

To use this cUrl command in a powershell script:

```
curl.exe '--data-binary', '@C:\temp\importdata.csv',
 '-H', 'Content-type: text/xml;charset=utf-8',
 'https://customer.ultimo.net/Webservices/Connector.ashx?username=US0000003&password=xxx&action=import&importName=_CSVIMPORT'
```

## 2. Alternative for importing data/files from a network share using a scheduled workflow

If files are imported from a network share periodically with the workflow scheduler, the alternative is to send these files to the Ultimo REST API instead. The REST API can save these files in the Ultimo directory that is imported by the workflow.

Actions:

* Create a (powershell) script to send data to the REST API.
* Execute the script immediately each time a file is added to the network share or add a scheduled task to run this script periodically

Note: make sure the IT infrastructure allows connection to the Ultimo webservices.

cUrl example:

```
curl -F "File=@[FileName]" -F "FileSystemPath=[FileServiceData directory to save files]" -H "Apikey: [API Key]" -H "Applicationelementid: [Workflow GUID]" "[REST API Url]"
curl -F "File=@C:\temp\Document.docx" -F "FileSystemPath=ImportDirectory" -H "Apikey: xxx" -H "Applicationelementid: E7870B3EFDD5416BD7BE2C8AA660DDB8" "https://customer.ultimo.net/api/v1/action/_REST_UploadFile"
```

To use this cUrl command in a powershell script:

```
curl.exe '-F', 'File=@C:\temp\Document.docx',
 '-F', 'FileSystemPath=ImportDirectory',
 '-H', 'Apikey: xxx',
 '-H', 'Applicationelementid: E7870B3EFDD5416BD7BE2C8AA660DDB8',
 'https://customer.ultimo.net/api/v1/action/_REST_UploadFile'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.ultimo.net/azure-documentation/migration-to-azure/import-alternatives.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
